Tryton - Issues

 

Issue3257

Title Production supply modules
Priority feature Status resolved
Superseder Speed up production request computation
View: 9167
Nosy List albertca, ced, ohuisman, oscar, pokoli, reviewbot, roundup-bot
Type feature request Components
Assigned To ced Keywords review
Reviews 256721002, 319341002
View: 256721002, 319341002

Created on 2013-06-12.13:32:28 by albertca, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
unnamed albertca, 2018-02-26.23:17:07 text/plain
Messages
New changeset 744323cfeeae by Cédric Krier in branch 'default':
Add order_point argument to compute_request
https://hg.tryton.org/tryton-env/rev/744323cfeeae
New changeset 27d70f7328b8 by Cédric Krier in branch 'default':
Add order_point argument to compute_request
https://hg.tryton.org/modules/production_routing/rev/27d70f7328b8
review319341002 updated at https://codereview.tryton.org/319341002/#ps311411002
New review319341002 at https://codereview.tryton.org/319341002/#ps305451002
New changeset f72323e168d7 by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/tryton-env/rev/f72323e168d7
New changeset 899729f63c2e by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/readthedocs/rev/899729f63c2e
New changeset 461aca9ea143 by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/modules/stock_supply_production/rev/461aca9ea143
New changeset ae053659678f by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/modules/sale_supply_production/rev/ae053659678f
New changeset a6c4c6f35ce3 by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/modules/sale_supply_drop_shipment/rev/a6c4c6f35ce3
New changeset 0ac0488bff40 by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/modules/sale_supply/rev/0ac0488bff40
New changeset 6f353b1c9990 by Cédric Krier in branch 'default':
Add sale_supply_production module
https://hg.tryton.org/modules/production/rev/6f353b1c9990
review256721002 updated at https://codereview.tryton.org/256721002/#ps319151002
review256721002 updated at https://codereview.tryton.org/256721002/#ps313221002
review256721002 updated at https://codereview.tryton.org/256721002/#ps291391002
review256721002 updated at https://codereview.tryton.org/256721002/#ps301221002
review256721002 updated at https://codereview.tryton.org/256721002/#ps285001002
msg56180 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-03-10.15:35:10
Here is review256721002 which implements https://discuss.tryton.org/t/supply-on-sale-with-production-request/2167
msg38622 (view) Author: [hidden] (albertca) (Tryton committer) Date: 2018-02-26.23:17:07
2018-02-20 16:18 GMT+01:00 Oscar Andres Alvarez <issue_tracker@tryton.org>:

>
> Oscar Andres Alvarez <oscar.alvarez.montero@gmail.com> added the comment:
>
> I think this module is really necessary, we need to create production
> order on demand from sale line, because some industries only to produce by
> customer order
>

Check this one out:

https://bitbucket.org/nantic/trytond-sale_supply_production/src/72dd850409219490854e934d620611c1569cc572/?at=task-032587

>
> ----------
> nosy: +oscar
> type:  -> feature request
>
> _______________________________________________
> Tryton issue tracker <issue_tracker@tryton.org>
> <https://bugs.tryton.org/issue3257>
> _______________________________________________
>
msg38509 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-02-20.17:20:32
@oscar for now you can create the production orders with the stock_supply_production module. Executing the supply wizard will create all the production requests required to serve all the processed sales. The main benefit is that it will group all the productions of the same product in a single one which usually benefits the supply chain. 

Probably one missing feature is that once the production is finished, the moves that originated this move should be assigned in order to be able to know that they can be sent like it's done on the sale_supply module [1]

[1] http://hg.tryton.org/modules/sale_supply/file/eb077ef6dc56/stock.py#l19
msg38506 (view) Author: [hidden] (oscar) Date: 2018-02-20.16:18:33
I think this module is really necessary, we need to create production order on demand from sale line, because some industries only to produce by customer order
msg13577 (view) Author: [hidden] (albertca) (Tryton committer) Date: 2013-06-12.15:41:21
A Dimecres 12 Juny 2013 14:18:28, Cédric Krier va escriure:
> Cédric Krier <cedric.krier@b2ck.com> added the comment:
> 
> On 12/06/13 13:32 +0200, Albert Cervera i Areny wrote:
> > I think we should create two new modules to improve production supplies:
> > 
> > sale_supply_production: Similar to sale_supply but creates a production
> > out of the sale lines. That is, each sale line has its own production,
> > no order points envolved.
> 
> I think it was already suggested as future improvement when developping
> sale_supply, but indeed it is not really so important because
> sale_supply is about managing external actor when production is internal
> actor only.

It is still sometimes needed to create one production for one sale line. But I 
agree that there's a difference with internal/external actors. That's probably 
why doing that at stock move level may make more sense.
msg13576 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-06-12.14:18:24
On 12/06/13 13:32 +0200, Albert Cervera i Areny wrote:
> I think we should create two new modules to improve production supplies:
> 
> sale_supply_production: Similar to sale_supply but creates a production out of the sale 
> lines. That is, each sale line has its own production, no order points envolved.

I think it was already suggested as future improvement when developping
sale_supply, but indeed it is not really so important because
sale_supply is about managing external actor when production is internal
actor only.

> production_supply: Similar to the previous one but creates a production out of the 
> consumed move of a move line of another production.
> 
> I'm not sure the latter has the right approach, though because adding this at stock move 
> level, would not be directly linked to production.

I don't think it is needed. It looks more like a "phatom" BOM.
msg13575 (view) Author: [hidden] (albertca) (Tryton committer) Date: 2013-06-12.14:07:25
I missed one module to make it possible to create purchase orders on demand from production 
consumed moves.

I think that instead of creating three modules maybe we should create only two and bring the 
possibility to define the supply method should be attached to stock.move. This would mean that 
we'd create:

- stock_supply_purchase
- stock_supply_production (this one already exists, should find a better name)

or we could add that possibility to existing stock_supply and stock_supply_production modules.
msg13574 (view) Author: [hidden] (albertca) (Tryton committer) Date: 2013-06-12.13:32:26
I think we should create two new modules to improve production supplies:

sale_supply_production: Similar to sale_supply but creates a production out of the sale 
lines. That is, each sale line has its own production, no order points envolved.

production_supply: Similar to the previous one but creates a production out of the 
consumed move of a move line of another production.

I'm not sure the latter has the right approach, though because adding this at stock move 
level, would not be directly linked to production.
History
Date User Action Args
2020-05-01 00:21:31roundup-botsetmessages: + msg57757
2020-05-01 00:20:35roundup-botsetstatus: chatting -> resolved
messages: + msg57755
2020-04-29 16:47:55reviewbotsetstatus: resolved -> chatting
messages: + msg57721
2020-04-29 16:21:54pokolisetstatus: chatting -> resolved
2020-04-29 16:17:16reviewbotsetstatus: resolved -> chatting
messages: + msg57711
2020-04-29 16:17:15reviewbotsetreviews: 256721002 -> 256721002, 319341002
2020-04-13 14:56:49roundup-botsetmessages: + msg57099
2020-04-13 14:56:47roundup-botsetmessages: + msg57098
2020-04-13 14:56:39roundup-botsetmessages: + msg57097
2020-04-13 14:56:36roundup-botsetmessages: + msg57096

Showing 10 items. Show all history (warning: this could be VERY long)